define("ballooniesIxfGameControllerDeclaration", ["componentmodelComponentApi", "slotModelApi", "winMeterApi", "ballooniesIxfComponentsWinlinesPort", "gameLayoutApi", "ballooniesIxfTumbleReelsApi", "PopupApi", "clientkernelEventbusApi", "WinMeterWrapperApi", "betPanelApi", "moneyApi"],
    function(componentmodelComponentApi, slotModelApi, winMeterApi, ballooniesIxfComponentsWinlinesPort, gameLayoutApi, ballooniesIxfTumbleReelsApi, PopupApi, clientkernelEventbusApi, WinMeterWrapperApi, betPanelApi, moneyApi) {
        "use strict";

        function $iterator(o) {
            if (o instanceof Array) return function() {
                return {
                    cur: 0,
                    arr: o,
                    hasNext: function() {
                        return this.cur < this.arr.length;
                    },
                    next: function() {
                        return this.arr[this.cur++];
                    }
                };
            };
            return typeof(o.iterator) == 'function' ? $bind(o, o.iterator) : o.iterator;
        };;
        var $fid = 0;

        function $bind(o, m) {
            if (m == null) return null;
            if (m.__id__ == null) m.__id__ = $fid++;
            var f;
            if (o.hx__closures__ == null) o.hx__closures__ = {};
            else f = o.hx__closures__[m.__id__];
            if (f == null) {
                f = function() {
                    return f.method.apply(f.scope, arguments);
                };
                f.scope = o;
                f.method = m;
                o.hx__closures__[m.__id__] = f;
            }
            return f;
        };
        var $_;
        var $estr = function() {
            return _hcmn_.js_Boot.__string_rec(this, '');
        };
        if (typeof ballooniesIxfGameControllerDeclaration == 'undefined') {
            var ballooniesIxfGameControllerDeclaration = {};
        };
        ballooniesIxfGameControllerDeclaration.GameControllerDeclaration = function() {};
        ballooniesIxfGameControllerDeclaration.GameControllerDeclaration = ck_implements(ballooniesIxfGameControllerDeclaration.GameControllerDeclaration, componentmodelComponentApi.IComponentDeclaration);
        ballooniesIxfGameControllerDeclaration.GameControllerDeclaration.__interfaces__ = [componentmodelComponentApi.IComponentDeclaration];
        ballooniesIxfGameControllerDeclaration.GameControllerDeclaration.__name__ = ["ballooniesIxfGameControllerDeclaration", "GameControllerDeclaration"];
        ballooniesIxfGameControllerDeclaration.GameControllerDeclaration.prototype.getChildComponents = function() {
            return null;
        };
        ballooniesIxfGameControllerDeclaration.GameControllerDeclaration.prototype.getReferredComponents = function() {
            return null;
        };
        ballooniesIxfGameControllerDeclaration.GameControllerDeclaration.prototype.getImplementedPorts = function() {
            return [];
        };
        ballooniesIxfGameControllerDeclaration.GameControllerDeclaration.prototype.getUsedPorts = function() {
            return [betPanelApi.IBetPanelPort, slotModelApi.ISlotModelPort, ballooniesIxfTumbleReelsApi.ITumbleReelsPort, gameLayoutApi.IGameLayoutPort, PopupApi.IPopupPort, ballooniesIxfComponentsWinlinesPort.IWinLinesPort, winMeterApi.IWinMeterPort, WinMeterWrapperApi.IWMWrapperPort];
        };
        ballooniesIxfGameControllerDeclaration.GameControllerDeclaration.prototype.__class__ = ballooniesIxfGameControllerDeclaration.GameControllerDeclaration;
        if (typeof haxe == 'undefined') {
            var haxe = {};
        };

        haxe.IMap = function() {}
        haxe.IMap.prototype = {

        };
        return {
            exports: ballooniesIxfGameControllerDeclaration
        };
    });
//# sourceURL=ballooniesIxfGameControllerDeclaration.js